# ChangeLog for dev-perl/libwww-perl
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/libwww-perl/ChangeLog,v 1.78 2007/03/05 12:49:08 ticho Exp $

  05 Mar 2007; Andrej Kacian <ticho@gentoo.org> libwww-perl-5.805.ebuild:
  Stable on x86, bug #169152.

  20 Oct 2006; Bryan Østergaard <kloeri@gentoo.org>
  libwww-perl-5.805.ebuild:
  Stable on Alpha.

  20 Oct 2006; Michael Cummings <mcummings@gentoo.org>
  -libwww-perl-5.69-r2.ebuild, -libwww-perl-5.79.ebuild,
  -libwww-perl-5.800.ebuild, -libwww-perl-5.803.ebuild,
  libwww-perl-5.803-r1.ebuild, libwww-perl-5.805.ebuild:
  Cleaning up ebuilds

  16 Sep 2006; Tobias Scherbaum <dertobi123@gentoo.org>
  libwww-perl-5.805.ebuild:
  ppc stable

  18 Aug 2006; Michael Cummings <mcummings@gentoo.org>
  libwww-perl-5.805.ebuild:
  Marking amd64 stable

  06 Aug 2006; Michael Cummings <mcummings@gentoo.org>
  libwww-perl-5.69-r2.ebuild, libwww-perl-5.79.ebuild,
  libwww-perl-5.800.ebuild, libwww-perl-5.803.ebuild,
  libwww-perl-5.803-r1.ebuild, libwww-perl-5.805.ebuild:
  Adding perl dep; fixed DEPEND

  05 Jul 2006; Christian Hartmann <ian@gentoo.org>
  libwww-perl-5.69-r2.ebuild, libwww-perl-5.79.ebuild,
  libwww-perl-5.800.ebuild, libwww-perl-5.803.ebuild:
  Fixed RDEPEND wrt bug #134781

  29 Jun 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  libwww-perl-5.805.ebuild:
  Stable on hppa

  12 Jun 2006; Michael Cummings <mcummings@gentoo.org>
  libwww-perl-5.805.ebuild:
  Marking sparc stable

  27 May 2006; <mcummings@gentoo.org> libwww-perl-5.803-r1.ebuild,
  libwww-perl-5.805.ebuild:
  Bug 134025, RDEP's set :)

*libwww-perl-5.805 (01 May 2006)

  01 May 2006; <mcumming@gentoo.org> +libwww-perl-5.805.ebuild:
  Version bump

  26 Apr 2006; <mcumming@gentoo.org> libwww-perl-5.69-r2.ebuild,
  libwww-perl-5.79.ebuild, libwww-perl-5.800.ebuild,
  libwww-perl-5.803-r1.ebuild, libwww-perl-5.803.ebuild:
  Updated virtual-libnet dep, thanks ciaranm

  24 Apr 2006; Diego Pettenò <flameeyes@gentoo.org>
  libwww-perl-5.803-r1.ebuild:
  Add ~x86-fbsd keyword.

  24 Apr 2006; Joshua Kinard <kumba@gentoo.org> libwww-perl-5.803-r1.ebuild:
  Marked stable on mips.

  13 Feb 2006; Michael Cummings <mcummings@gentoo.org>
  libwww-perl-5.69-r2.ebuild, libwww-perl-5.79.ebuild,
  libwww-perl-5.800.ebuild, libwww-perl-5.803.ebuild,
  libwww-perl-5.803-r1.ebuild:
  Virtuals for some perl-core deps

  06 Feb 2006; Simon Stelling <blubb@gentoo.org>
  libwww-perl-5.803-r1.ebuild:
  stable on amd64

  04 Feb 2006; Aron Griffis <agriffis@gentoo.org>
  libwww-perl-5.803-r1.ebuild:
  Mark 5.803-r1 stable on ia64

  31 Jan 2006; Aron Griffis <agriffis@gentoo.org>
  libwww-perl-5.803-r1.ebuild:
  Mark 5.803-r1 stable on alpha

  21 Jan 2006; Markus Rothe <corsair@gentoo.org>
  libwww-perl-5.803-r1.ebuild:
  Stable on ppc64

  18 Jan 2006; Guy Martin <gmsoft@gentoo.org> libwww-perl-5.803-r1.ebuild:
  Stable on hppa.

  15 Jan 2006; Michael Hanselmann <hansmi@gentoo.org>
  libwww-perl-5.803-r1.ebuild:
  Stable on ppc.

  13 Jan 2006; Michael Cummings <mcummings@gentoo.org>
  libwww-perl-5.803-r1.ebuild:
  marking stable sparc x86

  30 Dec 2005; <mcumming@gentoo.org> libwww-perl-5.69-r2.ebuild,
  libwww-perl-5.79.ebuild, libwww-perl-5.800.ebuild,
  libwww-perl-5.803-r1.ebuild, libwww-perl-5.803.ebuild:
  Migrating libnet to perl-core

  04 Jun 2005; Michael Cummings <mcummings@gentoo.org>
  libwww-perl-5.800.ebuild, libwww-perl-5.803-r1.ebuild:
  Bug 90700 - tested on mips as good now

*libwww-perl-5.803-r1 (01 Jun 2005)

  01 Jun 2005; Michael Cummings <mcummings@gentoo.org>
  +libwww-perl-5.803-r1.ebuild:
  libwww no longer provides copies of GET, HEAD, and POST but instead attempts
  to create symlinks. Thanks to Gregg Casillo for noticing this.

*libwww-perl-5.803 (30 May 2005)

  30 May 2005; Michael Cummings <mcummings@gentoo.org>
  +libwww-perl-5.803.ebuild:
  Version bump, version dep for new RPC-XML

  27 May 2005; Joseph Jezak <josejx@gentoo.org> libwww-perl-5.800.ebuild:
  Marked ppc stable.

  25 May 2005; Michael Cummings <mcummings@gentoo.org>
  libwww-perl-5.800.ebuild:
  dev-perl/MIME-Base64 => perl-core/MIME-Base64 migration

  25 May 2005; Michael Cummings <mcummings@gentoo.org>
  libwww-perl-5.79.ebuild:
  dev-perl/MIME-Base64 => perl-core/MIME-Base64 migration

  25 May 2005; Michael Cummings <mcummings@gentoo.org>
  libwww-perl-5.69-r2.ebuild:
  dev-perl/MIME-Base64 => perl-core/MIME-Base64 migration

  24 May 2005; Michael Cummings <mcummings@gentoo.org>
  libwww-perl-5.69-r2.ebuild, libwww-perl-5.79.ebuild,
  libwww-perl-5.800.ebuild:
  dev-perl/Digest-MD5 => perl-core/Digest-MD5

  01 May 2005; Tom Martin <slarti@gentoo.org> libwww-perl-5.800.ebuild:
  Stable on amd64.

  01 May 2005; Guy Martin <gmsoft@gentoo.org> libwww-perl-5.800.ebuild:
  Stable on hppa.

  30 Apr 2005; Bryan Østergaard <kloeri@gentoo.org>
  libwww-perl-5.800.ebuild:
  Stable on alpha.

  28 Apr 2005; Michael Cummings <mcummings@gentoo.org>
  -libwww-perl-5.64.ebuild, -libwww-perl-5.64-r1.ebuild,
  -libwww-perl-5.68.ebuild, -libwww-perl-5.69.ebuild,
  -libwww-perl-5.69-r1.ebuild, -libwww-perl-5.76.ebuild,
  libwww-perl-5.79.ebuild, libwww-perl-5.800.ebuild:
  clean and bump

  01 Apr 2005; Michael Hanselmann <hansmi@gentoo.org> libwww-perl-5.79.ebuild:
  Stable on ppc.

  01 Apr 2005; Aron Griffis <agriffis@gentoo.org> libwww-perl-5.800.ebuild:
  stable on ia64

  06 Feb 2005; Markus Rothe <corsair@gentoo.org> libwww-perl-5.800.ebuild:
  Stable on ppc64

  04 Jan 2005; Michael Cummings <mcummings@gentoo.org>
  libwww-perl-5.64-r1.ebuild, libwww-perl-5.64.ebuild,
  libwww-perl-5.68.ebuild, libwww-perl-5.69-r1.ebuild,
  libwww-perl-5.69-r2.ebuild, libwww-perl-5.69.ebuild,
  libwww-perl-5.76.ebuild, libwww-perl-5.79.ebuild,
  libwww-perl-5.800.ebuild:
  bug 76590

  30 Dec 2004; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  29 Dec 2004; Markus Rothe <corsair@gentoo.org> libwww-perl-5.800.ebuild:
  Added ~ppc64 to KEYWORDS

  23 Nov 2004; Sven Wegener <swegener@gentoo.org> :
  Fixed digest.

  06 Sep 2004; Ciaran McCreesh <ciaranm@gentoo.org>
  libwww-perl-5.69-r2.ebuild, libwww-perl-5.76.ebuild:
  Switch to use epause and ebeep, bug #62950

*libwww-perl-5.800 (30 Jul 2004)

  30 Jul 2004; Michael Cummings <mcummings@gentoo.org>
  +libwww-perl-5.800.ebuild:
  New verison on CPAN

  16 Jul 2004; Bryan Østergaard <kloeri@gentoo.org> libwww-perl-5.79.ebuild:
  Stable on alpha.

  16 Jul 2004; Gustavo Zacarias <gustavoz@gentoo.org> libwww-perl-5.79.ebuild:
  Stable on hppa

  15 Jul 2004; Gustavo Zacarias <gustavoz@gentoo.org> libwww-perl-5.79.ebuild:
  Sparc stable

  13 Jul 2004; Robert Coie <rac@gentoo.org> libwww-perl-5.79.ebuild:
  Keywording amd64 and x86

*libwww-perl-5.79 (02 May 2004)

  02 May 2004; Michael Cummings <mcummings@gentoo.org>
  libwww-perl-5.69-r2.ebuild, libwww-perl-5.79.ebuild:
  New version from cpan. After all of the debates on how to handle the tests, I
  have opted for the exclusion from this ebuild. Although the fall back scenario
  does work in practice, it introduces a phenomenal delay in the building of the
  package. On a 2.8ghz laptop running dhcp (and therefore no local name
  resolution) the wait time for the pieces that we expect to fail took over an
  hour. That is unacceptable. Please contact me if you have questions on this
  decision.
  16 Apr 2004; Michael Cummings <mcummings@gentoo.org>
  libwww-perl-5.69-r2.ebuild, libwww-perl-5.76.ebuild:
  Syntax fix for newdepend, bug 29064

  30 Mar 2004; Lars Weiler <pylon@gentoo.org> libwww-perl-5.76.ebuild:
  stable on ppc

  14 Mar 2004; Michael Cummings <mcummings@gentoo.org>
  libwww-perl-5.69-r2.ebuild, libwww-perl-5.76.ebuild:
  Because test failures for libwww-perl are 99% due to external factors, I've
  added a block to allow the merge to continue but to display a warning to the
  user so that they are aware that the tests didn't pass, and to list some
  factors involved. Should address bugs  36341 44259

  27 Feb 2004; Michael Cummings <mcummings@gentoo.org>
  libwww-perl-5.76.ebuild:
  Adjusting dep for HTML-Parser, per bug 43127

  24 Feb 2004; <agriffis@gentoo.org> libwww-perl-5.76.ebuild:
  stable on alpha and ia64

  20 Jan 2004; <gustavoz@gentoo.org> libwww-perl-5.69-r2.ebuild:
  stable on sparc

  18 Jan 2004; <tuxus@gentoo.org> libwww-perl-5.69-r2.ebuild:
  Added ~mips to KEYWORDS.

*libwww-perl-5.76 (22 Dec 2003)
*libwww-perl-5.69-r2 (22 Dec 2003)

  22 Dec 2003; <rac@gentoo.org> libwww-perl-5.69-r2.ebuild,
  libwww-perl-5.76.ebuild:
  Install into vendordir, bump, address bug 30616

*libwww-perl-5.69-r1 (20 Jul 2003)

  20 Jul 2003; Michael Cummings <mcummings@gentoo.org>
  libwww-perl-5.69-r1.ebuild:
  Added ssl support to build. Good catch by eric sammer <eric@ineoconcepts.com>
  in bug 24798

  24 Jun 2003; Aron Griffis <agriffis@gentoo.org> libwww-perl-5.69.ebuild:
  Mark stable on alpha

*libwww-perl-5.69 (31 May 2003)

  02 Jul 2003; Guy Martin <gmsoft@gentoo.org> libwww-perl-5.69.ebuild :
  Marked stable on hppa.

  31 May 2003; Michael Cummings <mcummings@gentoo.org>
  libwww-perl-5.69.ebuild:
  Update from CPAN

*libwww-perl-5.68 (15 Jan 2003)

  04 Apr 2003; Zach Welch <zwelch@gentoo.org> libwww-perl-5.68.ebuild:
  add arm keyword

  28 Feb 2003; Guy Martin <gmsoft@gentoo.org> libwww-perl-5.68.ebuild :
  Added hppa to keywords.

  15 Jan 2003; Michael Cummings <mcummings@gentoo.org> : libwww-perl-5.8.ebuild:

  Version bump was for dep in MythTV, as well as bugs 12553 and 13045. 5.66
  is no longer available, 5.8 is the next stable.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
  29 Oct 2002; Seemant Kulleen <seemant@gentoo.org> ChangeLog  :
  forced version bump to install into correct locations

*libwww-perl-5.64-r1 (21 Jun 2003)
 
  12 Jul 2003; Daniel Ahlberg <aliz@gentoo.org> :
  Added missing changelog entry.

*libwww-perl-5.64 (6 May 2002)

  12 Sep 2002; <mcummings@gentoo.org> libwww-perl-5.64.ebuild :
  Corrected syntax for perl Makefile

  1 Aug 2002; Calum Selkirk <cselkirk@gentoo.org> libwww-perl-5.64.ebuild :

  Added ppc to KEYWORDS.

  6 May 2002; Seemant Kulleen <seemant@gentoo.org> libwww-perl-5.64.ebuild
  files/digest-libwww-perl-5.64 :

  Version bump and eclass conversion

  libwww-perl-5.50-r1.ebuild files/digest-libwww-perl-5.50-r1 :

  eclassed.

*libwww-perl-5.50 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
